Gentoo Archives: gentoo-commits

From: "Lars Wendler (polynomial-c)" <polynomial-c@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in app-shells/dash: ChangeLog dash-0.5.6.1.ebuild
Date: Sat, 31 Jul 2010 23:02:35
Message-Id: 20100731220947.B1F812CF37@corvid.gentoo.org
polynomial-c    10/07/31 22:09:47

  Modified:             ChangeLog dash-0.5.6.1.ebuild
  Log:
  Readded keywords. Ebuild now removes offending patch which lead to bug #328929.
  (Portage version: 2.2_rc67/cvs/Linux x86_64)

Revision  Changes    Path
1.75                 app-shells/dash/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-shells/dash/ChangeLog?rev=1.75&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-shells/dash/ChangeLog?rev=1.75&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-shells/dash/ChangeLog?r1=1.74&r2=1.75

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-shells/dash/ChangeLog,v
retrieving revision 1.74
retrieving revision 1.75
diff -u -r1.74 -r1.75
--- ChangeLog	25 Jul 2010 17:36:53 -0000	1.74
+++ ChangeLog	31 Jul 2010 22:09:47 -0000	1.75
@@ -1,6 +1,11 @@
 # ChangeLog for app-shells/dash
 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
 
+  31 Jul 2010; Lars Wendler <polynomial-c@g.o> dash-0.5.6.1.ebuild:
+  non-maintainer commit: Readded keywords. Ebuild now removes offending
+  patch which lead to bug #328929. Commit done with kind permission from
+  vapier.
+
   25 Jul 2010; Raúl Porcel <armin76@g.o> dash-0.5.5.1.2.ebuild:
   alpha/ia64/s390/sh/sparc stable wrt #324753
 



1.3                  app-shells/dash/dash-0.5.6.1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-shells/dash/dash-0.5.6.1.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-shells/dash/dash-0.5.6.1.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-shells/dash/dash-0.5.6.1.ebuild?r1=1.2&r2=1.3

Index: dash-0.5.6.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.5.6.1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- dash-0.5.6.1.ebuild	19 Jul 2010 18:55:12 -0000	1.2
+++ dash-0.5.6.1.ebuild	31 Jul 2010 22:09:47 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.5.6.1.ebuild,v 1.2 2010/07/19 18:55:12 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.5.6.1.ebuild,v 1.3 2010/07/31 22:09:47 polynomial-c Exp $
 
 EAPI="2"
 
@@ -18,10 +18,7 @@
 
 LICENSE="BSD"
 SLOT="0"
-# needs updated debian patchset
-# http://bugs.debian.org/587353
-# http://bugs.gentoo.org/328929
-#KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
 IUSE="libedit static"
 
 DEPEND="libedit? ( dev-libs/libedit )"
@@ -30,6 +27,8 @@
 
 src_prepare() {
 	epatch "${WORKDIR}"/${DEB_PF}.diff
+	rm  */debian/diff/0006--INPUT-exit-127-if-command_file-is-given-but-doesn-t.diff \
+		|| die #328929
 	epatch */debian/diff/*
 
 	# Fix the invalid sort